(function() {
	'use strict';

	angular.module('ipconfigure.orchid').controller('AdminSystemCtrl', ['$scope', '$timeout', AdminSystemCtrl]);

	function AdminSystemCtrl($scope, $timeout) {
		$scope.tested = 'works';

		$scope.supportedDatabases = [
			{ name: 'MySQL', defaultPort: 3306 },
			{ name: 'PostgreSQL', defaultPort: 5432 },
			{ name: 'Microsoft SQL Server', defaultPort: 1433 },
			{ name: 'SQLite' }
		];

		$scope.port = 81;

		$scope.database = {
			type: $scope.supportedDatabases[3],
			ip: '',
			port: '',
			schema: '',
			username: '',
			password: '',
			file: '.\\orchid.sqlite'
		};

		$scope.saveChanges = function() {
			$scope.processing = true;

			$timeout(function() {
				$scope.processing = false;
			}, 1000);
		};
	}
}());
