(function() {
	'use strict';

	angular.module('ipconfigure.orchid').controller('AdminVersionCtrl', ['$http', '$sce', '$scope', AdminVersionCtrl]);

	function AdminVersionCtrl($http, $sce, $scope) {
		$scope.year = new Date().getFullYear();

		$http.get('/ChangeLog')
			.success(function(response) {
				$scope.changeLog = $sce.trustAsHtml(response);
			})
			.error(function() {
				$scope.changeLog = $sce.trustAsHtml('https://ipconfigure.zendesk.com/hc/en-us/articles/205459963-Release-Notes');
			});

		$http.get('/orchid-setup-license.txt')
			.success(function(response) {
				$scope.eula = $sce.trustAsHtml(response);
			})
			.error(function() {
				$scope.eula = $sce.trustAsHtml('http://www.ipconfigure.com/pdf/eula.pdf');
			});
	}
}());
