(function() {
	'use strict';

	angular.module('ipconfigure.orchid.directive').directive('ipadVirtualKeyboardFix', [ipadVirtualKeyboardFix]);

	function ipadVirtualKeyboardFix() {
		return {
			restrict: 'A',
			link: function(scope, element) {
				var browser = ipConfigure.core.getBrowser();

				if (browser.platform === 'iPad') {
					element.bind('blur', function() {
						document.body.scrollTop = 0;
					});
				}
			}
		};
	}
}());
