(function() {
	'use strict';

	if (!window.Element.prototype.matches) {
		window.Element.prototype.matches = window.Element.prototype.matchesSelector ||
			window.Element.prototype.webkitMatchesSelector ||
			window.Element.prototype.mozMatchesSelector ||
			window.Element.prototype.msMatchesSelector ||
			window.Element.prototype.oMatchesSelector ||
			function(selector) {
				var nodes = (this.parentNode || this.document).querySelectorAll(selector),
					i = 0;

				while (nodes[i] && nodes[i] !== this) {
					i += 1;
				}

				return !!nodes[i];
			};
	}
}());
